Bug 1264460 - DVB-T USB stick stopped working on kernel update to 4.1.6-100.fc21.x86_64
DVB-T USB stick stopped working on kernel update to 4.1.6-100.fc21.x86_64
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-09-18 09:58 EDT by colin
Modified: 2015-12-02 13:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-02 10:23:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
snip from /var/log/messages -NOT WORKING kernel 4.1.6-100.fc21.x86_64 (4.67 KB, text/plain)
2015-09-18 09:58 EDT, colin
no flags Details
snip from /var/log/messages -WORKING kernel 4.1.5-100.fc21.x86_64 (4.87 KB, text/plain)
2015-09-18 09:59 EDT, colin
no flags Details

  None (edit)
Description colin 2015-09-18 09:58:01 EDT
Created attachment 1074928 [details]
snip from /var/log/messages -NOT WORKING kernel 4.1.6-100.fc21.x86_64

Description of problem:

I have a USB stick DVB-T with a Realtek RTL2832U

Version-Release number of selected component (if applicable):

How reproducible:
every time.

Steps to Reproduce:
1. Update kernel.
2. start VLC to watch TV

Actual results:

no longer working. 

Expected results:

used to allow me to watch DVB-T

Additional info:

Booting back to previous kernel 4.1.5-100.fc21.x86_64 makes it work again
Comment 1 colin 2015-09-18 09:59:19 EDT
Created attachment 1074929 [details]
snip from /var/log/messages -WORKING kernel 4.1.5-100.fc21.x86_64
Comment 2 Laura Abbott 2015-09-18 15:44:57 EDT
When you filter out the duplicate messages, everything looks identical between the two dmesg. There aren't any changes to the media subsystem between 4.1.5 and 4.1.6 or anything major in USB. Can you be a bit more specific as to what isn't working?
Comment 3 colin 2015-09-18 16:19:19 EDT
hi Laura

> Can you be a bit more specific as to what isn't working?

The exact sequence of actions that has been working for me is:

I have a textfile that I generated containing the mapping of frequency&multiplex information -> TV channel name
I right click on the file and open it with VLC.
VLC displays the desired TV channel (with sound)

Now, since I updated the kernel, when I do this- I get no TV picture and no sound.

When I boot back into an older kernel it works as it always has.

If you would like to suggest any further tests that might help collect useful information 
please just leave instructions here and I will be happy to attempt to follow them.

Comment 4 Laura Abbott 2015-09-21 14:18:58 EDT
Your best bet is to try bisection either manually on the kernel or with the help of some scripts https://pagure.io/fedbisect. Alternatively, you can send an e-mail directly to the maintainers to see if they have any ideas:

Antti Palosaari <crope@iki.fi> 
Mauro Carvalho Chehab <mchehab@osg.samsung.com> 
Comment 5 colin 2015-09-21 16:37:55 EDT
Thankyou Laura.

I have installed with 

git clone https://pagure.io/fedbisect

and started ./setup-pkg-git.sh

It looks like this is going to take a while.
I will report back if I find out anything interesting.

Comment 6 colin 2015-09-21 17:54:14 EDT
Unfortunately I didn't make much progress attempting the bisect
because of this error:

[colin@k8 fedora]$ ./fedbisect.sh start 4.1.5-100.fc21 4.1.6-100.fc21
bad tag 4.1.6-100.fc21
Usage: ./fedbisect-start.sh <good revision> <bad revision>
bad and good revision must be valid tags in the git tree
[colin@k8 fedora]$ 

Both kernel version strings are identical to those from uname and koji
and comply with the guidance here:


Any advice as to how to proceed would be appreciated.

Comment 7 Laura Abbott 2015-09-24 13:08:54 EDT
The fedora kernel.org tree is missing those tags so the scripts won't work :(. Thanks for trying the scripts and finding limitations of them.

At this point your options are either to try a bisect between 4.1.5 and 4.1.6 on a regular kernel.org tree or reporting the issue to the maintainers upstream directly to see if they have any ideas.
Comment 8 colin 2015-09-24 17:11:43 EDT
Ok Laura.

kernel build 4.1.7-100.fc21.x86_64 finally made it out to the mirrors
and it works for me- so whatever the issue was it would seem to be specific to that one build.

I will leave it there as I will be upgrading to F22 then F23.

Thanks for your help.
Comment 9 Fedora End Of Life 2015-11-04 05:26:15 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-12-02 10:23:46 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.